// Written by Marco
Class INFIL_ScoreRecovery extends Object
	Transient;

struct FPlayerScores
{
	var string IP;
	var int Score;
};
var array<FPlayerScores> PlayerList;

final function SaveScores( INFIL_Player PP )
{
	local int i;
	local string S;

	S = PP.GetIPAddr();
	for( i=(Array_Size(PlayerList)-1); i>=0; --i )
		if( PlayerList[i].IP==S )
		{
			PlayerList[i].Score = PP.PlayerReplicationInfo.Score;
			return;
		}
	i = Array_Size(PlayerList);
	PlayerList[i].IP = S;
	PlayerList[i].Score = PP.PlayerReplicationInfo.Score;
}
final function LoadScores( INFIL_Player PP )
{
	local int i;
	local string S;

	S = PP.GetIPAddr();
	for( i=(Array_Size(PlayerList)-1); i>=0; --i )
		if( PlayerList[i].IP==S )
		{
			PP.PlayerReplicationInfo.Score = PlayerList[i].Score;
			return;
		}
}

defaultproperties
{
}
